{% extends 'base.html' %}
{% block title %}Post Job{% endblock title %}
{% block content %}
	
	<div class="panel panel-default">
	<div class="panel-heading">
		<h1 class="text-center"><strong><i>Post a New Job</i></strong></h1>
	</div>
	<div class="panel-body">

		<div align="center">
		<form class="form-group" action="{% url 'job_post' %}" method="post" id="job_post_form" style="width:90%">
			{% csrf_token %}
			<input type="hidden" name="cname" value="{{ profile.companyName }}">
			<input type="hidden" name="cmail" value="{{ profile.companyEmail }}">

			<div class="rows">
				<div class="col-sm-12">
					<label>Job Title :</label>
					<input class="form-control validate[required]" type="text" id="job-title" name="title" value="{{ title }}" >
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Type :</label>
					<select class="form-control" name="type">
						{% for item in jobtype %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Job Category :</label>
					<select class="form-control" name="category">
						{% for item in category %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Salary :</label>
					<select class="form-control" name="salary">
						{% for item in salary %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Job Location :</label>
					<select class="form-control" name="location">
						{% for item in location %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Length :</label>
					<select class="form-control" name="role">
						{% for item in role %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Deadline :</label>
					<input class="form-control" type="date" name="date">
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-12">
					<label><br />Job Descriptions :</label>
                    <textarea class="form-control" id="description" name="description" >{{ description }}</textarea>
                    <br /><br />
				</div>
			</div>

			<div class="row" style="padding-left:10%; padding-right:10%">
                <div class="col-sm-6">
                	<button class="btn btn-lg btn-block btn-success" type="submit"><i class="glyphicon glyphicon-ok-sign"></i> Save</button>
                </div>
                <div class="col-sm-6">
                	<button class="btn btn-lg btn-block btn-warning" type="reset"><i class="glyphicon glyphicon-repeat"></i> Reset</button>
                </div>
            </div>
		</form>
		</div>

	</div>
	</div>

	<script type="text/javascript" src="/static/js/jquery-2.1.3.min.js"></script>
	<script type="text/javascript">
	$(document).ready(function(){
		$('#job_post_form').validationEngine();
	});
	</script>



	<script src="/static/js/ckeditor/ckeditor.js"></script>
    
    <script type="text/javascript">
        CKEDITOR.replace( 'description' );
    </script>

{% endblock content %}